diff --git a/compiler/basicTypes/DataCon.lhs b/compiler/basicTypes/DataCon.lhs
index ad56290..4cbd3ab 100644
--- a/compiler/basicTypes/DataCon.lhs
+++ b/compiler/basicTypes/DataCon.lhs
@@ -626,30 +620,30 @@ mkDataCon name declared_infix
   where
     is_vanilla = null ex_tvs && null eq_spec && null theta
     con = MkData {dcName = name, dcUnique = nameUnique name, 
-		  dcVanilla = is_vanilla, dcInfix = declared_infix,
-	  	  dcUnivTyVars = univ_tvs, dcExTyVars = ex_tvs, 
-		  dcEqSpec = eq_spec, 
-		  dcOtherTheta = theta,
-		  dcStupidTheta = stupid_theta, 
-		  dcOrigArgTys = orig_arg_tys, dcOrigResTy = orig_res_ty,
-		  dcRepTyCon = rep_tycon, 
-		  dcArgBangs = arg_stricts, 
-		  dcFields = fields, dcTag = tag, dcRepType = rep_ty,
-		  dcWorkId = work_id,
+                  dcVanilla = is_vanilla, dcInfix = declared_infix,
+                  dcUnivTyVars = univ_tvs, dcExTyVars = ex_tvs, 
+                  dcEqSpec = eq_spec, 
+                  dcOtherTheta = theta,
+                  dcStupidTheta = stupid_theta, 
+                  dcOrigArgTys = orig_arg_tys, dcOrigResTy = orig_res_ty,
+                  dcRepTyCon = rep_tycon, 
+                  dcArgBangs = arg_stricts, 
+                  dcFields = fields, dcTag = tag, dcRepType = rep_ty,
+                  dcWorkId = work_id,
                   dcRep = rep, 
                   dcSourceArity = length orig_arg_tys,
                   dcRepArity = length rep_arg_tys,
                   dcPromoted = mb_promoted }
 
-	-- The 'arg_stricts' passed to mkDataCon are simply those for the
-	-- source-language arguments.  We add extra ones for the
-	-- dictionary arguments right here.
+        -- The 'arg_stricts' passed to mkDataCon are simply those for the
+        -- source-language arguments.  We add extra ones for the
+        -- dictionary arguments right here.
 
     tag = assoc "mkDataCon" (tyConDataCons rep_tycon `zip` [fIRST_TAG..]) con
     rep_arg_tys = dataConRepArgTys con
     rep_ty = mkForAllTys univ_tvs $ mkForAllTys ex_tvs $ 
-	     mkFunTys rep_arg_tys $
-	     mkTyConApp rep_tycon (mkTyVarTys univ_tvs)
+             mkFunTys rep_arg_tys $
+             mkTyConApp rep_tycon (mkTyVarTys univ_tvs)
 
     mb_promoted   -- See Note [Promoted data constructors] in TyCon
       | isJust (promotableTyCon_maybe rep_tycon)
@@ -828,8 +822,8 @@ dataConBoxer _ = Nothing
 -- 4) The /original/ result type of the 'DataCon'
 dataConSig :: DataCon -> ([TyVar], ThetaType, [Type], Type)
 dataConSig (MkData {dcUnivTyVars = univ_tvs, dcExTyVars = ex_tvs, 
-		    dcEqSpec = eq_spec, dcOtherTheta  = theta, 
-		    dcOrigArgTys = arg_tys, dcOrigResTy = res_ty})
+                    dcEqSpec = eq_spec, dcOtherTheta  = theta, 
+                    dcOrigArgTys = arg_tys, dcOrigResTy = res_ty})
   = (univ_tvs ++ ex_tvs, eqSpecPreds eq_spec ++ theta, arg_tys, res_ty)
 
 -- | The \"full signature\" of the 'DataCon' returns, in order:
@@ -847,10 +841,10 @@ dataConSig (MkData {dcUnivTyVars = univ_tvs, dcExTyVars = ex_tvs,
 --
 -- 6) The original result type of the 'DataCon'
 dataConFullSig :: DataCon 
-	       -> ([TyVar], [TyVar], [(TyVar,Type)], ThetaType, [Type], Type)
+               -> ([TyVar], [TyVar], [(TyVar,Type)], ThetaType, [Type], Type)
 dataConFullSig (MkData {dcUnivTyVars = univ_tvs, dcExTyVars = ex_tvs, 
-			dcEqSpec = eq_spec, dcOtherTheta = theta,
-			dcOrigArgTys = arg_tys, dcOrigResTy = res_ty})
+                        dcEqSpec = eq_spec, dcOtherTheta = theta,
+                        dcOrigArgTys = arg_tys, dcOrigResTy = res_ty})
   = (univ_tvs, ex_tvs, eq_spec, theta, arg_tys, res_ty)
 
 dataConOrigResTy :: DataCon -> Type
@@ -875,9 +869,9 @@ dataConUserType :: DataCon -> Type
 -- NB: If the constructor is part of a data instance, the result type
 -- mentions the family tycon, not the internal one.
 dataConUserType  (MkData { dcUnivTyVars = univ_tvs, 
-			   dcExTyVars = ex_tvs, dcEqSpec = eq_spec,
-			   dcOtherTheta = theta, dcOrigArgTys = arg_tys,
-			   dcOrigResTy = res_ty })
+                           dcExTyVars = ex_tvs, dcEqSpec = eq_spec,
+                           dcOtherTheta = theta, dcOrigArgTys = arg_tys,
+                           dcOrigResTy = res_ty })
   = mkForAllTys ((univ_tvs `minusList` map fst eq_spec) ++ ex_tvs) $
     mkFunTys theta $
     mkFunTys arg_tys $
@@ -887,13 +881,13 @@ dataConUserType  (MkData { dcUnivTyVars = univ_tvs,
 -- NB: these INCLUDE any dictionary args
 --     but EXCLUDE the data-declaration context, which is discarded
 -- It's all post-flattening etc; this is a representation type
-dataConInstArgTys :: DataCon	-- ^ A datacon with no existentials or equality constraints
-				-- However, it can have a dcTheta (notably it can be a 
-				-- class dictionary, with superclasses)
-	      	  -> [Type] 	-- ^ Instantiated at these types
-	      	  -> [Type]
+dataConInstArgTys :: DataCon    -- ^ A datacon with no existentials or equality constraints
+                                -- However, it can have a dcTheta (notably it can be a 
+                                -- class dictionary, with superclasses)
+                  -> [Type]     -- ^ Instantiated at these types
+                  -> [Type]
 dataConInstArgTys dc@(MkData {dcUnivTyVars = univ_tvs, dcEqSpec = eq_spec,
-			      dcExTyVars = ex_tvs}) inst_tys
+                              dcExTyVars = ex_tvs}) inst_tys
  = ASSERT2( length univ_tvs == length inst_tys
           , ptext (sLit "dataConInstArgTys") <+> ppr dc $$ ppr univ_tvs $$ ppr inst_tys)
    ASSERT2( null ex_tvs && null eq_spec, ppr dc )
@@ -902,15 +896,15 @@ dataConInstArgTys dc@(MkData {dcUnivTyVars = univ_tvs, dcEqSpec = eq_spec,
 -- | Returns just the instantiated /value/ argument types of a 'DataCon',
 -- (excluding dictionary args)
 dataConInstOrigArgTys 
-	:: DataCon	-- Works for any DataCon
-	-> [Type]	-- Includes existential tyvar args, but NOT
-			-- equality constraints or dicts
-	-> [Type]
+        :: DataCon      -- Works for any DataCon
+        -> [Type]       -- Includes existential tyvar args, but NOT
+                        -- equality constraints or dicts
+        -> [Type]
 -- For vanilla datacons, it's all quite straightforward
 -- But for the call in MatchCon, we really do want just the value args
 dataConInstOrigArgTys dc@(MkData {dcOrigArgTys = arg_tys,
-			          dcUnivTyVars = univ_tvs, 
-			          dcExTyVars = ex_tvs}) inst_tys
+                                  dcUnivTyVars = univ_tvs, 
+                                  dcExTyVars = ex_tvs}) inst_tys
   = ASSERT2( length tyvars == length inst_tys
           , ptext (sLit "dataConInstOrigArgTys") <+> ppr dc $$ ppr tyvars $$ ppr inst_tys )
     map (substTyWith tyvars inst_tys) arg_tys
@@ -930,7 +924,7 @@ dataConRepArgTys :: DataCon -> [Type]
 dataConRepArgTys (MkData { dcRep = rep 
                          , dcEqSpec = eq_spec
                          , dcOtherTheta = theta
-		         , dcOrigArgTys = orig_arg_tys })
+                         , dcOrigArgTys = orig_arg_tys })
   = case rep of
       NoDataConRep -> ASSERT( null eq_spec ) theta ++ orig_arg_tys
       DCR { dcr_arg_tys = arg_tys } -> arg_tys
@@ -951,7 +945,7 @@ dataConIdentity dc = bytesFS (packageIdFS (modulePackageId mod)) ++
 \begin{code}
 isTupleDataCon :: DataCon -> Bool
 isTupleDataCon (MkData {dcRepTyCon = tc}) = isTupleTyCon tc
-	
+        
 isUnboxedTupleCon :: DataCon -> Bool
 isUnboxedTupleCon (MkData {dcRepTyCon = tc}) = isUnboxedTupleTyCon tc
 
@@ -963,20 +957,20 @@ isVanillaDataCon dc = dcVanilla dc
 \begin{code}
 classDataCon :: Class -> DataCon
 classDataCon clas = case tyConDataCons (classTyCon clas) of
-		      (dict_constr:no_more) -> ASSERT( null no_more ) dict_constr 
-		      [] -> panic "classDataCon"
+                      (dict_constr:no_more) -> ASSERT( null no_more ) dict_constr 
+                      [] -> panic "classDataCon"
 \end{code}
 
 \begin{code}
 dataConCannotMatch :: [Type] -> DataCon -> Bool
 -- Returns True iff the data con *definitely cannot* match a 
---		    scrutinee of type (T tys)
---		    where T is the dcRepTyCon for the data con
+--                  scrutinee of type (T tys)
+--                  where T is the dcRepTyCon for the data con
 -- NB: look at *all* equality constraints, not only those
 --     in dataConEqSpec; see Trac #5168
 dataConCannotMatch tys con
-  | null theta        = False	-- Common
-  | all isTyVarTy tys = False	-- Also common
+  | null theta        = False   -- Common
+  | all isTyVarTy tys = False   -- Also common
   | otherwise
   = typesCantMatch [(Type.substTy subst ty1, Type.substTy subst ty2)
                    | (ty1, ty2) <- concatMap predEqs theta ]
@@ -994,9 +988,9 @@ dataConCannotMatch tys con
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
               Building an algebraic data type
-%*									*
+%*                                                                      *
 %************************************************************************
 
 buildAlgTyCon is here because it is called from TysWiredIn, which in turn
@@ -1006,14 +1000,14 @@ depends on DataCon, but not on BuildTyCl.
 buildAlgTyCon :: Name 
               -> [TyVar]               -- ^ Kind variables and type variables
               -> [Role]
-	      -> Maybe CType
-	      -> ThetaType	       -- ^ Stupid theta
-	      -> AlgTyConRhs
-	      -> RecFlag
-	      -> Bool		       -- ^ True <=> this TyCon is promotable
-	      -> Bool		       -- ^ True <=> was declared in GADT syntax
+              -> Maybe CType
+              -> ThetaType             -- ^ Stupid theta
+              -> AlgTyConRhs
+              -> RecFlag
+              -> Bool                  -- ^ True <=> this TyCon is promotable
+              -> Bool                  -- ^ True <=> was declared in GADT syntax
               -> TyConParent
-	      -> TyCon
+              -> TyCon
 
 buildAlgTyCon tc_name ktvs roles cType stupid_theta rhs 
               is_rec is_promotable gadt_syn parent
@@ -1096,9 +1090,9 @@ promoteKind k = pprPanic "promoteKind" (ppr k)
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Splitting products}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -1115,15 +1109,15 @@ promoteKind k = pprPanic "promoteKind" (ppr k)
 --
 -- Whether the type is a @data@ type or a @newtype@
 splitDataProductType_maybe
-	:: Type 			-- ^ A product type, perhaps
-	-> Maybe (TyCon, 		-- The type constructor
-		  [Type],		-- Type args of the tycon
-		  DataCon,		-- The data constructor
-		  [Type])		-- Its /representation/ arg types
-
-	-- Rejecing existentials is conservative.  Maybe some things
-	-- could be made to work with them, but I'm not going to sweat
-	-- it through till someone finds it's important.
+        :: Type                         -- ^ A product type, perhaps
+        -> Maybe (TyCon,                -- The type constructor
+                  [Type],               -- Type args of the tycon
+                  DataCon,              -- The data constructor
+                  [Type])               -- Its /representation/ arg types
+
+        -- Rejecing existentials is conservative.  Maybe some things
+        -- could be made to work with them, but I'm not going to sweat
+        -- it through till someone finds it's important.
 
 splitDataProductType_maybe ty
   | Just (tycon, ty_args) <- splitTyConApp_maybe ty
diff --git a/compiler/basicTypes/IdInfo.lhs b/compiler/basicTypes/IdInfo.lhs
index a2bdd5c..0a25a9e 100644
--- a/compiler/basicTypes/IdInfo.lhs
+++ b/compiler/basicTypes/IdInfo.lhs
@@ -8,62 +8,56 @@
 Haskell. [WDP 94/11])
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module IdInfo (
         -- * The IdDetails type
-	IdDetails(..), pprIdDetails, coVarDetails,
+        IdDetails(..), pprIdDetails, coVarDetails,
 
         -- * The IdInfo type
-	IdInfo,		-- Abstract
-	vanillaIdInfo, noCafIdInfo,
-	seqIdInfo, megaSeqIdInfo,
+        IdInfo,         -- Abstract
+        vanillaIdInfo, noCafIdInfo,
+        seqIdInfo, megaSeqIdInfo,
 
-	-- ** Zapping various forms of Info
-	zapLamInfo, zapFragileInfo,
+        -- ** Zapping various forms of Info
+        zapLamInfo, zapFragileInfo,
 
         zapDemandInfo,
 
-	-- ** The ArityInfo type
-	ArityInfo,
-	unknownArity, 
-	arityInfo, setArityInfo, ppArityInfo, 
-
-	-- ** Demand and strictness Info
- 	strictnessInfo, setStrictnessInfo, 
-  	demandInfo, setDemandInfo, pprStrictness,
-
-	-- ** Unfolding Info
-	unfoldingInfo, setUnfoldingInfo, setUnfoldingInfoLazily,
-
-	-- ** The InlinePragInfo type
-	InlinePragInfo,
-	inlinePragInfo, setInlinePragInfo,
-
-	-- ** The OccInfo type
-	OccInfo(..),
-	isDeadOcc, isStrongLoopBreaker, isWeakLoopBreaker,
-	occInfo, setOccInfo,
-
-	InsideLam, OneBranch,
-	insideLam, notInsideLam, oneBranch, notOneBranch,
-	
-	-- ** The SpecInfo type
-	SpecInfo(..),
-	emptySpecInfo,
-	isEmptySpecInfo, specInfoFreeVars,
-	specInfoRules, seqSpecInfo, setSpecInfoHead,
+        -- ** The ArityInfo type
+        ArityInfo,
+        unknownArity, 
+        arityInfo, setArityInfo, ppArityInfo, 
+
+        -- ** Demand and strictness Info
+        strictnessInfo, setStrictnessInfo, 
+        demandInfo, setDemandInfo, pprStrictness,
+
+        -- ** Unfolding Info
+        unfoldingInfo, setUnfoldingInfo, setUnfoldingInfoLazily,
+
+        -- ** The InlinePragInfo type
+        InlinePragInfo,
+        inlinePragInfo, setInlinePragInfo,
+
+        -- ** The OccInfo type
+        OccInfo(..),
+        isDeadOcc, isStrongLoopBreaker, isWeakLoopBreaker,
+        occInfo, setOccInfo,
+
+        InsideLam, OneBranch,
+        insideLam, notInsideLam, oneBranch, notOneBranch,
+        
+        -- ** The SpecInfo type
+        SpecInfo(..),
+        emptySpecInfo,
+        isEmptySpecInfo, specInfoFreeVars,
+        specInfoRules, seqSpecInfo, setSpecInfoHead,
         specInfo, setSpecInfo,
 
-	-- ** The CAFInfo type
-	CafInfo(..),
-	ppCafInfo, mayHaveCafRefs,
-	cafInfo, setCafInfo,
+        -- ** The CAFInfo type
+        CafInfo(..),
+        ppCafInfo, mayHaveCafRefs,
+        cafInfo, setCafInfo,
 
         -- ** The LBVarInfo type
         LBVarInfo(..),
@@ -84,57 +78,57 @@ import BasicTypes
 import DataCon
 import TyCon
 import ForeignCall
-import Outputable	
+import Outputable       
 import Module
 import FastString
 import Demand
 
 -- infixl so you can say (id `set` a `set` b)
-infixl 	1 `setSpecInfo`,
-	  `setArityInfo`,
-	  `setInlinePragInfo`,
-	  `setUnfoldingInfo`,
-	  `setLBVarInfo`,
-	  `setOccInfo`,
-	  `setCafInfo`,
-	  `setStrictnessInfo`,
-	  `setDemandInfo`
+infixl  1 `setSpecInfo`,
+          `setArityInfo`,
+          `setInlinePragInfo`,
+          `setUnfoldingInfo`,
+          `setLBVarInfo`,
+          `setOccInfo`,
+          `setCafInfo`,
+          `setStrictnessInfo`,
+          `setDemandInfo`
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
                      IdDetails
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 -- | The 'IdDetails' of an 'Id' give stable, and necessary, 
 -- information about the Id. 
 data IdDetails
-  = VanillaId	
+  = VanillaId   
 
   -- | The 'Id' for a record selector
   | RecSelId                 
-    { sel_tycon   :: TyCon	-- ^ For a data type family, this is the /instance/ 'TyCon'
-				--   not the family 'TyCon'
+    { sel_tycon   :: TyCon      -- ^ For a data type family, this is the /instance/ 'TyCon'
+                                --   not the family 'TyCon'
     , sel_naughty :: Bool       -- True <=> a "naughty" selector which can't actually exist, for example @x@ in:
                                 --    data T = forall a. MkT { x :: a }
-    }				-- See Note [Naughty record selectors] in TcTyClsDecls
+    }                           -- See Note [Naughty record selectors] in TcTyClsDecls
 
-  | DataConWorkId DataCon	-- ^ The 'Id' is for a data constructor /worker/
-  | DataConWrapId DataCon	-- ^ The 'Id' is for a data constructor /wrapper/
-				
-				-- [the only reasons we need to know is so that
-				--  a) to support isImplicitId
-				--  b) when desugaring a RecordCon we can get 
-				--     from the Id back to the data con]
+  | DataConWorkId DataCon       -- ^ The 'Id' is for a data constructor /worker/
+  | DataConWrapId DataCon       -- ^ The 'Id' is for a data constructor /wrapper/
+                                
+                                -- [the only reasons we need to know is so that
+                                --  a) to support isImplicitId
+                                --  b) when desugaring a RecordCon we can get 
+                                --     from the Id back to the data con]
 
-  | ClassOpId Class 		-- ^ The 'Id' is a superclass selector or class operation of a class
+  | ClassOpId Class             -- ^ The 'Id' is a superclass selector or class operation of a class
 
-  | PrimOpId PrimOp		-- ^ The 'Id' is for a primitive operator
-  | FCallId ForeignCall		-- ^ The 'Id' is for a foreign call
+  | PrimOpId PrimOp             -- ^ The 'Id' is for a primitive operator
+  | FCallId ForeignCall         -- ^ The 'Id' is for a foreign call
 
-  | TickBoxOpId TickBoxOp	-- ^ The 'Id' is for a HPC tick box (both traditional and binary)
+  | TickBoxOpId TickBoxOp       -- ^ The 'Id' is for a HPC tick box (both traditional and binary)
 
   | DFunId Int Bool             -- ^ A dictionary function.
        -- Int = the number of "silent" arguments to the dfun
@@ -169,15 +163,15 @@ pprIdDetails other     = brackets (pp other)
                              <> ppWhen (ns /= 0) (brackets (int ns))
                              <> ppWhen nt (ptext (sLit "(nt)"))
    pp (RecSelId { sel_naughty = is_naughty })
-      			 = brackets $ ptext (sLit "RecSel") 
-      			    <> ppWhen is_naughty (ptext (sLit "(naughty)"))
+                         = brackets $ ptext (sLit "RecSel") 
+                            <> ppWhen is_naughty (ptext (sLit "(naughty)"))
 \end{code}
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{The main IdInfo type}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -194,14 +188,14 @@ pprIdDetails other     = brackets (pp other)
 -- except for 'demandInfo' and 'lbvarInfo'.
 data IdInfo
   = IdInfo {
-	arityInfo 	:: !ArityInfo,		-- ^ 'Id' arity
-	specInfo 	:: SpecInfo,		-- ^ Specialisations of the 'Id's function which exist
-			   			-- See Note [Specialisations and RULES in IdInfo]
-	unfoldingInfo	:: Unfolding,		-- ^ The 'Id's unfolding
-	cafInfo		:: CafInfo,		-- ^ 'Id' CAF info
-        lbvarInfo	:: LBVarInfo,		-- ^ Info about a lambda-bound variable, if the 'Id' is one
-	inlinePragInfo	:: InlinePragma,	-- ^ Any inline pragma atached to the 'Id'
-	occInfo		:: OccInfo,		-- ^ How the 'Id' occurs in the program
+        arityInfo       :: !ArityInfo,          -- ^ 'Id' arity
+        specInfo        :: SpecInfo,            -- ^ Specialisations of the 'Id's function which exist
+                                                -- See Note [Specialisations and RULES in IdInfo]
+        unfoldingInfo   :: Unfolding,           -- ^ The 'Id's unfolding
+        cafInfo         :: CafInfo,             -- ^ 'Id' CAF info
+        lbvarInfo       :: LBVarInfo,           -- ^ Info about a lambda-bound variable, if the 'Id' is one
+        inlinePragInfo  :: InlinePragma,        -- ^ Any inline pragma atached to the 'Id'
+        occInfo         :: OccInfo,             -- ^ How the 'Id' occurs in the program
 
         strictnessInfo  :: StrictSig,      --  ^ A strictness signature
 
@@ -217,17 +211,17 @@ seqIdInfo (IdInfo {}) = ()
 -- compiler
 megaSeqIdInfo :: IdInfo -> ()
 megaSeqIdInfo info
-  = seqSpecInfo (specInfo info)			`seq`
+  = seqSpecInfo (specInfo info)                 `seq`
 
 -- Omitting this improves runtimes a little, presumably because
 -- some unfoldings are not calculated at all
---    seqUnfolding (unfoldingInfo info)		`seq`
+--    seqUnfolding (unfoldingInfo info)         `seq`
 
     seqDemandInfo (demandInfo info)         `seq`
     seqStrictnessInfo (strictnessInfo info) `seq`
 
-    seqCaf (cafInfo info)			`seq`
-    seqLBVar (lbvarInfo info)			`seq`
+    seqCaf (cafInfo info)                       `seq`
+    seqLBVar (lbvarInfo info)                   `seq`
     seqOccInfo (occInfo info) 
 
 seqStrictnessInfo :: StrictSig -> ()
@@ -241,17 +235,17 @@ Setters
 
 \begin{code}
 setSpecInfo :: IdInfo -> SpecInfo -> IdInfo
-setSpecInfo 	  info sp = sp `seq` info { specInfo = sp }
+setSpecInfo       info sp = sp `seq` info { specInfo = sp }
 setInlinePragInfo :: IdInfo -> InlinePragma -> IdInfo
 setInlinePragInfo info pr = pr `seq` info { inlinePragInfo = pr }
 setOccInfo :: IdInfo -> OccInfo -> IdInfo
-setOccInfo	  info oc = oc `seq` info { occInfo = oc }
-	-- Try to avoid spack leaks by seq'ing
+setOccInfo        info oc = oc `seq` info { occInfo = oc }
+        -- Try to avoid spack leaks by seq'ing
 
 setUnfoldingInfoLazily :: IdInfo -> Unfolding -> IdInfo
-setUnfoldingInfoLazily info uf 	-- Lazy variant to avoid looking at the
-  =				-- unfolding of an imported Id unless necessary
-    info { unfoldingInfo = uf }	-- (In this case the demand-zapping is redundant.)
+setUnfoldingInfoLazily info uf  -- Lazy variant to avoid looking at the
+  =                             -- unfolding of an imported Id unless necessary
+    info { unfoldingInfo = uf } -- (In this case the demand-zapping is redundant.)
 
 setUnfoldingInfo :: IdInfo -> Unfolding -> IdInfo
 setUnfoldingInfo info uf 
@@ -262,7 +256,7 @@ setUnfoldingInfo info uf
     info { unfoldingInfo = uf }
 
 setArityInfo :: IdInfo -> ArityInfo -> IdInfo
-setArityInfo	  info ar  = info { arityInfo = ar  }
+setArityInfo      info ar  = info { arityInfo = ar  }
 setCafInfo :: IdInfo -> CafInfo -> IdInfo
 setCafInfo        info caf = info { cafInfo = caf }
 
@@ -282,32 +276,32 @@ setStrictnessInfo info dd = dd `seq` info { strictnessInfo = dd }
 vanillaIdInfo :: IdInfo
 vanillaIdInfo 
   = IdInfo {
-	    cafInfo		= vanillaCafInfo,
-	    arityInfo		= unknownArity,
-	    specInfo		= emptySpecInfo,
-	    unfoldingInfo	= noUnfolding,
-	    lbvarInfo		= NoLBVarInfo,
-	    inlinePragInfo 	= defaultInlinePragma,
-	    occInfo		= NoOccInfo,
-            demandInfo	        = topDmd,
-	    strictnessInfo      = topSig
-	   }
+            cafInfo             = vanillaCafInfo,
+            arityInfo           = unknownArity,
+            specInfo            = emptySpecInfo,
+            unfoldingInfo       = noUnfolding,
+            lbvarInfo           = NoLBVarInfo,
+            inlinePragInfo      = defaultInlinePragma,
+            occInfo             = NoOccInfo,
+            demandInfo          = topDmd,
+            strictnessInfo      = topSig
+           }
 
 -- | More informative 'IdInfo' we can use when we know the 'Id' has no CAF references
 noCafIdInfo :: IdInfo
 noCafIdInfo  = vanillaIdInfo `setCafInfo`    NoCafRefs
-	-- Used for built-in type Ids in MkId.
+        -- Used for built-in type Ids in MkId.
 \end{code}
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[arity-IdInfo]{Arity info about an @Id@}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 For locally-defined Ids, the code generator maintains its own notion
-of their arities; so it should not be asking...	 (but other things
+of their arities; so it should not be asking...  (but other things
 besides the code-generator need arity info!)
 
 \begin{code}
@@ -331,9 +325,9 @@ ppArityInfo n = hsep [ptext (sLit "Arity"), int n]
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Inline-pragma information}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -351,9 +345,9 @@ type InlinePragInfo = InlinePragma
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
                Strictness
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -363,9 +357,9 @@ pprStrictness sig = ppr sig
 
 
 %************************************************************************
-%*									*
-	SpecInfo
-%*									*
+%*                                                                      *
+        SpecInfo
+%*                                                                      *
 %************************************************************************
 
 Note [Specialisations and RULES in IdInfo]
@@ -392,11 +386,11 @@ and put in the global list.
 -- in the form of rewrite 'CoreRule's that target them
 data SpecInfo 
   = SpecInfo 
-	[CoreRule] 
-	VarSet		-- Locally-defined free vars of *both* LHS and RHS 
-			-- of rules.  I don't think it needs to include the
-			-- ru_fn though.
-			-- Note [Rule dependency info] in OccurAnal
+        [CoreRule] 
+        VarSet          -- Locally-defined free vars of *both* LHS and RHS 
+                        -- of rules.  I don't think it needs to include the
+                        -- ru_fn though.
+                        -- Note [Rule dependency info] in OccurAnal
 
 -- | Assume that no specilizations exist: always safe
 emptySpecInfo :: SpecInfo
@@ -423,9 +417,9 @@ seqSpecInfo (SpecInfo rules fvs) = seqRules rules `seq` seqVarSet fvs
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[CG-IdInfo]{Code generator-related information}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -433,15 +427,15 @@ seqSpecInfo (SpecInfo rules fvs) = seqRules rules `seq` seqVarSet fvs
 
 -- | Records whether an 'Id' makes Constant Applicative Form references
 data CafInfo 
-	= MayHaveCafRefs		-- ^ Indicates that the 'Id' is for either:
-					--
-					-- 1. A function or static constructor
-					--    that refers to one or more CAFs, or
-					--
-					-- 2. A real live CAF
-
-	| NoCafRefs			-- ^ A function or static constructor
-				        -- that refers to no CAFs.
+        = MayHaveCafRefs                -- ^ Indicates that the 'Id' is for either:
+                                        --
+                                        -- 1. A function or static constructor
+                                        --    that refers to one or more CAFs, or
+                                        --
+                                        -- 2. A real live CAF
+
+        | NoCafRefs                     -- ^ A function or static constructor
+                                        -- that refers to no CAFs.
         deriving (Eq, Ord)
 
 -- | Assumes that the 'Id' has CAF references: definitely safe
@@ -450,7 +444,7 @@ vanillaCafInfo = MayHaveCafRefs
 
 mayHaveCafRefs :: CafInfo -> Bool
 mayHaveCafRefs  MayHaveCafRefs = True
-mayHaveCafRefs _	       = False
+mayHaveCafRefs _               = False
 
 seqCaf :: CafInfo -> ()
 seqCaf c = c `seq` ()
@@ -464,9 +458,9 @@ ppCafInfo MayHaveCafRefs = empty
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[lbvar-IdInfo]{Lambda-bound var info about an @Id@}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -478,7 +472,7 @@ ppCafInfo MayHaveCafRefs = empty
 -- safely be floated inside such a lambda without risk of duplicating
 -- work.
 data LBVarInfo = NoLBVarInfo            -- ^ No information
-	       | IsOneShotLambda	-- ^ The lambda is applied at most once).
+               | IsOneShotLambda        -- ^ The lambda is applied at most once).
 
 -- | It is always safe to assume that an 'Id' has no lambda-bound variable information
 noLBVarInfo :: LBVarInfo
@@ -501,9 +495,9 @@ instance Outputable LBVarInfo where
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Bulk operations on IdInfo}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -519,14 +513,14 @@ zapLamInfo info@(IdInfo {occInfo = occ, demandInfo = demand})
   | otherwise
   = Just (info {occInfo = safe_occ, demandInfo = topDmd})
   where
-	-- The "unsafe" occ info is the ones that say I'm not in a lambda
-	-- because that might not be true for an unsaturated lambda
+        -- The "unsafe" occ info is the ones that say I'm not in a lambda
+        -- because that might not be true for an unsaturated lambda
     is_safe_occ (OneOcc in_lam _ _) = in_lam
-    is_safe_occ _other		    = True
+    is_safe_occ _other              = True
 
     safe_occ = case occ of
-		 OneOcc _ once int_cxt -> OneOcc insideLam once int_cxt
-		 _other	       	       -> occ
+                 OneOcc _ once int_cxt -> OneOcc insideLam once int_cxt
+                 _other                -> occ
 
     is_safe_dmd dmd = not (isStrictDmd dmd)
 \end{code}
@@ -543,15 +537,15 @@ zapFragileInfo :: IdInfo -> Maybe IdInfo
 zapFragileInfo info 
   = Just (info `setSpecInfo` emptySpecInfo
                `setUnfoldingInfo` noUnfolding
-	       `setOccInfo` zapFragileOcc occ)
+               `setOccInfo` zapFragileOcc occ)
   where
     occ = occInfo info
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{TickBoxOp}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
